GNUNET-NAMECACHE(1)

NAME
gnunet-namecache - inspect namecache

SYNOPSIS
gnunet-namecache [-c FILENAME | --config=FILENAME] [-h | --help] [-L LOGLEVEL | --loglevel=LOGLEVEL] [-n NAME | --name=NAME] [-v | --version] [-z PKEY | --zone=PKEY]

DESCRIPTION
gnunet-namecache can be used to inspect values in the namecache. It is passed the mandatory option 'z' ('--zone=') with the argument PKEY, and the mandatory option 'n' ('--name=') with the argument NAME.

-c FILENAME | --config=FILENAME
    Use the configuration file FILENAME.

-h | --help
    Print short help on options.

-L LOGLEVEL | --loglevel=LOGLEVEL
    Use LOGLEVEL for logging. Valid values are DEBUG, INFO, WARNING and ERROR.

-n NAME | --name=NAME
    Name (label) of the record to display (mandatory option).

-v | --version
    Print GNUnet version number.

-z PKEY | --zone=PKEY
    Specifies the public key of the zone to inspect (mandatory option)

SEE ALSO
gnunet-gns(1)

The full documentation for gnunet is maintained as a Texinfo manual. If the info(1) and gnunet programs are properly installed at your site, the command

    info gnunet

should give you access to the complete handbook,

    info gnunet-c-tutorial

will give you access to a tutorial for developers.

Depending on your installation, this information is also available in gnunet(7) and gnunet-c-tutorial(7).

BUGS
Report bugs by using https://bugs.gnunet.org or by sending electronic mail to <gnunet-developers@gnu.org>.